Skip to navigation

Get Global Promotion Settings

Returns global promotion settings.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

OK
promotions_apply_on_products_with_custom_product_pricebooleanDefaults to false
  • When the property is set to “true”, promotions will apply for products with custom pricing.
  • When the property is set to “false”, promotions will not apply for products with custom pricing.
  • Note: This field can only be edited for Enterprise Accounts.
promotions_triggered_by_products_with_zero_product_pricebooleanDefaults to false
  • When the property is set to “true”, promotions will be triggered by zero price products.
  • When the property is set to “false”, promotions will not be triggered by zero price products.
  • Note: This field can only be edited for Enterprise Accounts.
number_of_coupons_allowed_at_checkoutinteger1-5Defaults to 1

Specifies the number of coupons allowed at checkout on a single order.

  • Note: This field can only be edited for Enterprise Accounts.
promotions_applied_on_original_product_pricebooleanDefaults to true
  • When the property is set to “true”, promotions in a cart are calculated independently, each applied to the original price of the included products.
  • When the property is set to “false”, promotions in a cart are calculated cumulatively, applied to the order sub-total based on your promotion order.

Errors

400
Bad Request Error